# 环境配置
server:
  port: 7879
  servlet:
    context-path: /api/ounuo

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

#spring:
#  # database
#  datasource:
#    hikari:
#    #      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
#    driver-class-name: com.mysql.cj.jdbc.Driver
#    username: ounuo_user
#    password: OUNUO123!
#    url: jdbc:mysql://ounuo.raresoft.net:33306/TASK

spring:
  datasource:
    url: jdbc:mysql://47.110.74.198:3306/ounuo?useSSL=false&serverTimezone=Asia/Shanghai
    username: root
    password: cp-root@2022++
    hikari:
      # 检测连接是否有效的 SQL（每次从连接池获取连接时执行）
      connection-test-query: SELECT 1
      # 或使用更标准的 JDBC4 isValid()（推荐）
      # connection-test-query 不需要设置，Hikari 默认用 isValid()

      # 连接最大存活时间（必须 < MySQL 的 wait_timeout，建议 30 分钟）
      max-lifetime: 1800000  # 30分钟

      # 空闲连接超时（小于 max-lifetime）
      idle-timeout: 600000   # 10分钟

      # 从连接池获取连接的超时时间
      connection-timeout: 30000 # 30秒

      # 最小空闲连接数
      minimum-idle: 5


  #    # 主库
  #    primary:
  #      username: root
  #      password: mu123
  #      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  #    # 从库
  #    slave:
  #      username: root
  #      password: mu123
  #      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava_slave?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    hibernate:
      ddl-auto: none      # JPA对表没有任何操作
    show-sql: true
    database: ORACLE
    database-platform: org.hibernate.dialect.Oracle12cDialect

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

# dingtalk 钉钉
dingtalk:
  agentId: 4115325431
  appKey: dinghhozexm92tupobfo
  appSecret: -zYNwc4j9hssiP0mTNbSe0D9v9ejh4OIaHnx_EhVZWJbwnatvgtNiSFPIwAg9AGb
  corpId: ding2af339267563330e4ac5d6980864d335
  aesKey:
  token:
  operator: 332051151139376769   # OA管理员账号：鲜明阳 [0开头需要转一下字符串]

# aliwork 宜搭
aliwork:
  appType: APP_VCTRP6227CC8368NDOID
  systemToken: 5H9662C1X8XJLFFCE841M5VBEBQ73DM5IBPULPI3

# MyBatisplus配置
mybatis-plus:
  mapper-locations: classpath:mapper/*.xml  # mapper.xml存放路径
  type-aliases-package: com.malk.tuosi.entity  # 实体类包路径
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl  # 打印SQL日志（可选）

#定时器
enable:
  scheduling: true

teambition:
  AppID: 6874ba11d22c73565fd8af9d
  AppSecret: 4JBgPwpctG27SuZrVVeCrXoiVCjie9ID
  TenantId: 61a8c26719c3b5ffe9c4cffb
  OperatorId: 616fb6f78ad4104a10515809    # 公共账号, 需要有操作权限 [牧语]